Bug 655495 - [abrt] gwibber-1:2.33.0-12.894bzr.fc14: client.py:411:on_search:AttributeError: 'MultiStreamUi' object has no attribute 'search_box'
Summary: [abrt] gwibber-1:2.33.0-12.894bzr.fc14: client.py:411:on_search:AttributeErro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gwibber
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d8d1b1d2
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-21 11:45 UTC by Alexandre A. Borba
Modified: 2011-05-07 13:25 UTC (History)
5 users (show)

Fixed In Version: gwibber-3.0.0.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-30 05:38:55 UTC


Attachments (Terms of Use)
File: backtrace (498 bytes, text/plain)
2010-11-21 11:45 UTC, Alexandre A. Borba
no flags Details

Description Alexandre A. Borba 2010-11-21 11:45:25 UTC
abrt version: 1.1.13
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/gwibber
component: gwibber
executable: /usr/bin/gwibber
kernel: 2.6.35.6-48.fc14.x86_64
package: gwibber-1:2.33.0-12.894bzr.fc14
reason: client.py:411:on_search:AttributeError: 'MultiStreamUi' object has no attribute 'search_box'
release: Fedora release 14 (Laughlin)
time: 1290339877
uid: 500

backtrace
-----
client.py:411:on_search:AttributeError: 'MultiStreamUi' object has no attribute 'search_box'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gwibber/client.py", line 411, in on_search
    self.stream_view.search_box.focus()
AttributeError: 'MultiStreamUi' object has no attribute 'search_box'

Local variables in innermost frame:
self: <GwibberClient object at 0x1c25730 (GtkWindow at 0x1a8b480)>
args: (<gtk.Action object at 0x7fd53c6a5b40 (GtkAction at 0x16fe9b0)>,)

How to reproduce
-----
1. Enter a post
2. them crash
3.

Comment 1 Alexandre A. Borba 2010-11-21 11:45:28 UTC
Created attachment 461817 [details]
File: backtrace

Comment 2 John Margaritopoulos 2010-12-21 01:55:49 UTC
Package: gwibber-1:2.33.0-12.894bzr.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
.

Comment 3 Pedro Silva 2011-01-24 13:13:43 UTC
Package: gwibber-1:2.33.0-12.894bzr.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open Gwibber (three accounts, three streams, FB, Twitter and identi.ca)
2. Click Gwibber Menu -> Search 
3. Gwibber doesn't crash but ABRT reports a this crash.

Comment 4 Dagan McGregor 2011-01-25 04:54:32 UTC
Package: gwibber-1:2.33.0-12.894bzr.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Have multiple streams open (3 side-by-side)
2. Open drop-down list to change what displays on a particular stream
3. Click the close 'x' to try to close/remove a search stream


Comment
-----
I haven't managed to be able to close a search when having more than a single stream open. The menu displays the searches, and I can view them. But cannot find an easy way to close them off

Comment 5 Wendell Baker 2011-03-20 16:08:44 UTC
Package: gwibber-1:2.33.0-12.894bzr.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Set up two streams
2. Try to do a search in one
3.

Comment 6 Fedora Update System 2011-03-25 21:17:26 UTC
gwibber-2.91.92-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gwibber-2.91.92-2.fc13

Comment 7 Fedora Update System 2011-03-25 21:18:03 UTC
gwibber-2.91.92-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gwibber-2.91.92-2.fc14

Comment 8 Fedora Update System 2011-03-25 21:18:38 UTC
gwibber-2.91.92-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gwibber-2.91.92-2.fc15

Comment 9 Fedora Update System 2011-03-26 04:50:05 UTC
Package gwibber-2.91.92-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gwibber-2.91.92-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gwibber-2.91.92-2.fc15
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-03-30 05:38:21 UTC
gwibber-2.91.92-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Allan Engelhardt 2011-04-14 08:50:42 UTC
Still there, see Bug 696531

Comment 12 Fedora Update System 2011-04-26 21:33:54 UTC
gwibber-3.0.0.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gwibber-3.0.0.1-1.fc14

Comment 13 Fedora Update System 2011-04-26 21:34:34 UTC
gwibber-3.0.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gwibber-3.0.0.1-1.fc15

Comment 14 Fedora Update System 2011-04-26 21:35:14 UTC
gwibber-3.0.0.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gwibber-3.0.0.1-1.fc13

Comment 15 Fedora Update System 2011-05-01 03:24:59 UTC
gwibber-3.0.0.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-05-07 02:54:18 UTC
gwibber-3.0.0.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-05-07 13:24:37 UTC
gwibber-3.0.0.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.